<!DOCTYPE html>
<html lang="zxx">

<style>
@import url('https://fonts.googleapis.com/css?family=Cormorant+Garamond&display=swap');
</style>

<head>
  <meta charset="utf-8">
  <title>alessioboggeroMDEF</title>
  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <!-- Main Stylesheet -->
  <link href="css/styleread.css" rel="stylesheet">
</head>


<body>

<a class="home" href="fab.html"><h5>fabacademy</h5></a>

<br><br>

<h5>

  Week 6, woohooooo. But no FabLab, I'm in isolation at home due to my visit to Italy.

  <br><br>

  We are talking about electronics design, but I'm pretty sure I would not be able to design a board at all.
  Anyway, this week is about repeating some of the basics of electronics and get familiar with the digital tools that allow us to develop a PCB on our computer.
  During class, we have seen how to develop schematics of circuit and how to use them to draw PCBs on KiCad's applications Eeschema and PCBNew.

  <br><br>

  Our assignments was to redesign the Barduino 2.0 board, and add at least a button and an LED.
  After installing KiCad, the first thing to be done is installing the symbols and footprints we will need for the project.
  <br><br>

  <p><a target="_blank" href="https://github.com/KiCad/kicad-symbols" download>Symbols</a></p>
  <p><a target="_blank" href="https://github.com/KiCad/kicad-footprints" download>Footprints</a></p>
  <p><a target="_blank" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/site/local/#material/extras/week06/assets/kicad_libraries.zip" download>Libraries</a></p>
  <p><a target="_blank" href="http://academany.fabcloud.io/fabacademy/2020/labs/barcelona/site/local/#material/extras/week06/kicad">HERE instructions to install them</a></p>

  I got confident with Eeschema pretty rapidly, after getting used to the fast command keys.

  <br><br>

  These were my schematics at the end of the process

  <br><br>

  <img class="fit" src="images/fab6/eeschema.png" alt="blablabla">

  <br><br>

  <img class="fit" src="images/fab6/ftdi.png" alt="blablabla">

  <br><br>

  <img class="fit" src="images/fab6/switch.png" alt="blablabla">

  <br><br>

  <img class="fit" src="images/fab6/reset.png" alt="blablabla">

  <br><br>

  <img class="fit" src="images/fab6/add.png" alt="blablabla">

  <br><br>

  After this I generated the netlist

  <br><br>

  <img class="fit" src="images/fab6/netlist.png" alt="blablabla">

  <br><br>

  And opened them with PCBNew. The first issue was that for some reason, the footprints of the connectors were not present, but I managed to set them manually.
  <br>
  Then I set the design rules given us by the fab (for fabulous) FabLab tutors.

  <br><br>

  <img class="fit" src="images/fab6/rules.png" alt="blablabla">

  <br><br>

  Unlike the previous process, it took a lot of time to find the right position for all the components and connect all the traces.
  <br>
  While I was doing this, and confronting it with the right schematics, I noticed that my LT11290’s tab was acting as GND instead of 3v3Out, so I went back to Eeschema to change it to the right one, but couldn’t find it and used the symbol of the LT1117 because of the same size and shape.

  <br><br>

  <img class="fit" src="images/fab6/ftdi.png" alt="blablabla">
  <br>
  <h6>This is a nope

  <br><br>

  <img class="fit" src="images/fab6/ftdi2.png" alt="blablabla">
  <br>
  <h6>This is what I need!

  <br><br>

  <h5>
  I also used the symbol and footprint of the ESP-32S instead of the WROOM because they had the unconnected pin on the wrong position. I think this was because I made some mess when adding symbols and footprints, and didn’t find a way to fix it.

  <br><br>

  This was the result:

  <br><br>

  <img class="fit" src="images/fab6/pcb.png" alt="blablabla">

  <br><br>

  Then, I filled some of the areas to have a faster milling and defined the outcut path with the Edge.Cuts level

  <br><br>

  <img class="fit" src="images/fab6/pcb2.png" alt="blablabla">

  <br><br>

  <img class="fit" src="images/fab6/3d.png" alt="blablabla">

  <br><br>

  Being able to have a 3d preview of the PCB was really interesting and even if I was doing this from home and could not mill it, it made me feel like I was done with the process.

  Satisfied with my job, I exported everything in svg…

  <br><br>

  <img class="fit" src="images/fab6/export.png" alt="blablabla">

  <br><br>

  I worked the SVG with Inkscape-

  <br><br>

  <img class="fit" src="images/fab6/svg.png" alt="blablabla">

  <br><br>

  And divided the drawing in the three levels I needed for milling, which you can download here, together with the KiCad schematics and PCB drawing:

  <br><br>

  <p><a target="_blank" href="images/fab6/Barduino2.0-mod.zip" download>KiCad and PNGs</a></p>

  <br><br>

  <img class="fit" src="images/fab6/traces.png" alt="blablabla">

  <br><br>

  <img class="fit" src="images/fab6/holes.png" alt="blablabla">

  <br><br>

  <img class="fit" src="images/fab6/cutout.png" alt="blablabla">
